      subroutine uporep(uw0,coords,node)
C
      include 'aba_param.inc'
      dimension coords(*)
      parameter (zero=0.0d0, slope=10.0d3, pi=12.0d3)
C
      nn = (node-1)/10
      n1 = (nn*10)+1
      nn = (node-3)/10
      n2 = (nn*10)+3
      uw0 = zero
      if (n1.eq.node .or. n2.eq.node) then
        uw0 = -slope*coords(2)-pi
      end if
C
      return
      end
